# Subscriber Class Reference

`#include <Subscribable.hh>`

List of all members.

## Public Member Functions
| Subscriber (FederateHandle)
| Subscriber (FederateHandle, const RTIRegion *)
FederateHandle | getHandle () const
const RTIRegion * | getRegion () const
bool | equals (FederateHandle, const RTIRegion *) const
bool | match (const RTIRegion *) const
| Check if subscriber's region matches (overlaps) with the one in parameter.
bool | operator== (const Subscriber &) const
## Protected Attributes
FederateHandle | handle
| The ID of the Subscriber.
const RTIRegion * | region
| the subscription region

## Detailed Description

Definition at line 39 of file Subscribable.hh.

## Constructor & Destructor Documentation

Subscriber | ( | FederateHandle | h | ) |

Definition at line 43 of file Subscribable.cc.

Subscriber | ( | FederateHandle | h,
|  | const RTIRegion * | r |
| ) |  |  |

Definition at line 50 of file Subscribable.cc.

## Member Function Documentation

FederateHandle getHandle | ( |  | ) | const

Definition at line 57 of file Subscribable.cc.

References Subscriber::handle.

Referenced by Subscriber::operator==().

const RTIRegion * getRegion | ( |  | ) | const

Definition at line 64 of file Subscribable.cc.

References Subscriber::region.

Referenced by Subscriber::operator==().

bool equals | ( | FederateHandle | fed,
|  | const RTIRegion * | r |
| ) |  |  | const

Definition at line 78 of file Subscribable.cc.

References Subscriber::handle, and Subscriber::region.

bool match | ( | const RTIRegion * | r | ) | const

Check if subscriber's region matches (overlaps) with the one in parameter.

If one of them is the default region (null) the result is 'true'

Definition at line 89 of file Subscribable.cc.

References certi::D, Handled::getHandle(), BaseRegion::overlaps(), pdTrace, and Subscriber::region.

Here is the call graph for this function:

bool operator== | ( | const Subscriber & | sub | ) | const

Definition at line 71 of file Subscribable.cc.

References Subscriber::getHandle(), Subscriber::getRegion(), Subscriber::handle, and Subscriber::region.

Here is the call graph for this function:

## Member Data Documentation

FederateHandle handle`[protected]`

The ID of the Subscriber.

Definition at line 53 of file Subscribable.hh.

Referenced by Subscriber::equals(), Subscriber::getHandle(), and Subscriber::operator==().

const RTIRegion* region`[protected]`

the subscription region

Definition at line 54 of file Subscribable.hh.

Referenced by Subscriber::equals(), Subscriber::getRegion(), Subscriber::match(), and Subscriber::operator==().

The documentation for this class was generated from the following files:

- Subscribable.hh
- Subscribable.cc